#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9169 $
$LastChangedDate:: 2019-05-29 16:26:00 +0200#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    import sys
    import os
    sym_home = os.getenv('MagOpt_Home')
    sys.path.insert(0, os.path.join(sym_home, 'System', 'Python', 'src'))
    sys.path.insert(0, os.path.join(sym_home, 'System', 'General', 'Python', 'src'))
    from symspace.help.symspace_help import SyMSpaceHelp

    runner = SyMSpaceHelp()
    runner.build()


