#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9205 $
$LastChangedDate:: 2019-06-18 09:47:34 +0200#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.console.script_utils import ScriptUtils
from symspace.wrapper.symwrapper import SymFunction


def main(project, parameter):
    if isinstance(parameter, SymFunction):
        parameter.generateInterfaceFields()
        print('Script finished successfully')
    else:
        raise Exception('The selected object has to be of type Function!')


if __name__ == '__main__':
    """
    This script automatically creates and links fields for imports and exports of a function.
    
    This script needs to be executed in the SyMSpace Python Console.
    """

    ScriptUtils.runWithParams(main, locals())
